package com.red.circle.order.app.dto.cmd;

import java.util.Objects;

/**
 * stripe 业务类型.
 *
 * @author pengliang on 2021/8/28
 */
public enum WebPayBusinessType {
  /**
   * app 内购.
   */
  IN_APP_PURCHASE,

  /**
   * 货运 购买.
   */
  IN_SHIP_PURCHASE;


  public boolean eq(String key) {
    return Objects.equals(this.name(), key);
  }
}
